package com.mortals.xhx.module.matter.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.ApplyMatterVo;
import lombok.Data;
/**
* 申报事项列表实体对象
*
* @author zxfei
* @date 2024-06-20
*/
@Data
public class ApplyMatterEntity extends ApplyMatterVo {
    private static final long serialVersionUID = 1L;

    /**
    * 可申报类型
    */
    private Integer applyType;
    /**
    * 实施清单事项ID
    */
    private String eventId;
    /**
    * 事项类型
    */
    private String eventType;
    /**
    * 实施编码
    */
    private String implementCoding;
    /**
    * 业务办理项编码
    */
    private String handlingItemCode;
    /**
    * 实施清单名称
    */
    private String implementName;
    /**
    * 事项面向对象分类
    */
    private String eventObjectType;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ApplyMatterEntity) {
            ApplyMatterEntity tmp = (ApplyMatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.applyType = 0;
            this.eventId = "";
            this.eventType = "";
            this.implementCoding = "";
            this.handlingItemCode = "";
            this.implementName = "";
            this.eventObjectType = "";
    }
}